Package com.sun.jna.platform.unix.solaris

## Class Kstat2StatusException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.platform.unix.solaris.Kstat2StatusException

All Implemented Interfaces:
  `java.io.Serializable`

    public class Kstat2StatusException
    extends java.lang.RuntimeException

Exception encapsulating `Kstat2` Error Return Values, defined as `kstat2_status` values in `kstat2.h`

See Also:
  Serialized Form

### Constructor Summary

Constructors
`` `Kstat2StatusException​(int ks)` New exception from `kstat2_status`
`protected` `Kstat2StatusException​(int ks, java.lang.String msg)` New exception from `kstat2_status` with specified message

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getKstat2Status()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Kstat2StatusException

    public Kstat2StatusException​(int ks)

New exception from `kstat2_status`

Parameters:
  `ks` - The return value

#### Kstat2StatusException

    protected Kstat2StatusException​(int ks,
                                    java.lang.String msg)

New exception from `kstat2_status` with specified message

Parameters:
  `ks` - The return value
  `msg` - The exception message

### Method Detail

#### getKstat2Status

    public int getKstat2Status()

Returns:
  the Kstat2Status code